Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.soap
Class Base64BinaryArray

    java.lang.Object
      org.exist.soap.Base64BinaryArray

All Implemented Interfaces:
  java.io.Serializable

public class Base64BinaryArray
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Base64BinaryArray()`
`Base64BinaryArray(byte[][] elements)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`byte[][]` | `getElements()` Gets the elements value for this Base64BinaryArray.
`byte[]` | `getElements(int i)`
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setElements(byte[][] elements)` Sets the elements value for this Base64BinaryArray.
`void` | `setElements(int i, byte[] _value)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64BinaryArray

    public Base64BinaryArray()

### Base64BinaryArray

    public Base64BinaryArray(byte[][] elements)

Method Detail

### getElements

    public byte[][] getElements()

  Gets the elements value for this Base64BinaryArray.

  Returns:
    elements

### setElements

    public void setElements(byte[][] elements)

  Sets the elements value for this Base64BinaryArray.

  Parameters:
    `elements` -

### getElements

    public byte[] getElements(int i)

### setElements

    public void setElements(int i,
                            byte[] _value)

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.